Bug 522525 - Review Request: perl-PDL-Graphics-PLplot - Object-oriented interface from perl/PDL to the PLPLOT plotting library
Summary: Review Request: perl-PDL-Graphics-PLplot - Object-oriented interface from pe...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Marcela Mašláňová
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-10 15:29 UTC by Orion Poplawski
Modified: 2009-09-18 22:18 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-18 22:18:36 UTC
mmaslano: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Orion Poplawski 2009-09-10 15:29:16 UTC
Spec URL: http://www.cora.nwra.com/~orion/fedora/perl-PDL-Graphics-PLplot.spec
SRPM URL: http://www.cora.nwra.com/~orion/fedora/perl-PDL-Graphics-PLplot-0.51-1.src.rpm
Description: 
This is the PDL interface to the PLplot graphics library. It is designed
to be simple and light weight with a familiar 'perlish' Object Oriented
interface.

The interface consists of two levels.  A low level interface which maps
closely to the PLplot C interface, and a high level, object-oriented
interface which is easier to use.

Comment 1 Orion Poplawski 2009-09-10 15:33:52 UTC
The plan is to stop injecting this into perl-PDL, but to remove plplot support from the main perl-PDL package and replace with this.  Current method is causing problems with detecting up to date PDL-Graphics-PLplot packages.

Comment 2 Marcela Mašláňová 2009-09-11 08:00:16 UTC
SRPM has wrong address.
Rebuild failed:
/home/marca/rpmbuild/BUILDROOT/perl-PDL-Graphics-PLplot-0.51-1.fc11.x86_64/usr/lib/perl5/vendor_perl/5.10.0/*

Comment 3 Orion Poplawski 2009-09-11 14:26:13 UTC
Oops, should be:

http://www.cora.nwra.com/~orion/fedora/perl-PDL-Graphics-PLplot-0.51-2.fc11.src.rpm

* Thu Sep 10 2009 Orion Poplawski 0.51-2
- Use arch specific dir.

Comment 4 Marcela Mašláňová 2009-09-14 13:02:04 UTC
? rpmlint on every package.
perl-PDL-Graphics-PLplot.x86_64: E: zero-length /usr/lib64/perl5/vendor_perl/5.10.0/x86_64-linux-thread-multi/auto/PDL/Graphics/PLplot/PLplot.bs
OK name of package accords to the Naming Guidelines.
OK spec file name match the base package %{name}.
OK package meet the Packaging Guidelines.
? package has a good license.
License is not written in package/cpan page.
OK spec file is written in American English.
OK spec file for the package must be legible.
OK The sources used to build the package must match the upstream source.
eb4d4e30bad6ce5afa5456fb49afb789
? successful koji compilation.
https://koji.fedoraproject.org/koji/taskinfo?taskID=1676904
OK correct BuildRequires, Requires.
OK proper use of %find_lang macro.
OK shared library must call ldconfig in %post and %postun.
OK relocatable package must state this fact.
OK package must own their directories.
OK permissions on files must be set properly.
OK %clean section with rm -rf %{buildroot}.
OK consistent use of macros.
OK package contains code, or permissable content.
OK large documentation go in a -doc subpackage.
OK %doc must not affect the runtime of the application.
OK header files must be in a -devel package.
OK static libraries must be in a -static package.
OK pkgconfig(.pc) files must 'Requires: pkgconfig'.
OK library files with a suffix (.so) must go in -devel.
OK usually devel packages must require the base package.
OK Remove .la libtool archives.
OK GUI applications must include a %{name}.desktop file.
OK %install section starts with rm -rf %{buildroot}.
The biggest problem is failing koji build.

Comment 5 Orion Poplawski 2009-09-14 15:12:25 UTC
http://www.cora.nwra.com/~orion/fedora/perl-PDL-Graphics-PLplot-0.51-3.fc11.src.rpm

* Mon Sep 14 2009 Orion Poplawski 0.51-3
- Add BR on perl(Test::More)
- Exclude PLplot.bs

Successful Koji build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1677343

Thanks!

Comment 6 Marcela Mašláňová 2009-09-14 16:13:36 UTC
Sometimes are the zero files needed even if rpmlint is complaining. You should decide this yourself ;-)

The license is still unknown from the package. I didn't find it anywhere mentioned in package or on site. This is slow but you should contact upstream about correct licensing, if you've also don't find it in files.

Comment 7 Orion Poplawski 2009-09-14 17:51:45 UTC
(In reply to comment #6)
> Sometimes are the zero files needed even if rpmlint is complaining. You should
> decide this yourself ;-)

I'm not sure.  I removed it and the module at least loads.  I can only find one or two other perl modules with .bs files.  We'll see.

> The license is still unknown from the package. I didn't find it anywhere
> mentioned in package or on site. This is slow but you should contact upstream
> about correct licensing, if you've also don't find it in files.  

From an email:

Hi Orion:  Sorry about not putting the license in.  I'll add a COPYRIGHT file for the next release.  It will be under a perl Artistic License:

Copyright (c) 2004-2009 Douglas Hunt. All rights reserved. This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

Regards,

  Doug


dhunt@ucar.edu
Software Engineer
UCAR - COSMIC, Tel. (303) 497-2611

Comment 8 Marcela Mašláňová 2009-09-15 05:23:50 UTC
Great. ACCEPTED

Comment 9 Orion Poplawski 2009-09-15 16:20:17 UTC
New Package CVS Request
=======================
Package Name: perl-PDL-Graphics-PLplot
Short Description: Object-oriented interface from perl/PDL to the PLPLOT plotting library
Owners: orion
Branches: F-11 F-10 EL-5
InitialCC:

Comment 10 Jason Tibbitts 2009-09-16 21:31:51 UTC
CVS done.

Comment 11 Orion Poplawski 2009-09-18 22:18:36 UTC
Checked in and built.


Note You need to log in before you can comment on or make changes to this bug.